# set-version

## Purpose

Sets the current application version inside the application metadata file (`application.properties`)

## Examples

    grails set-version 0.6

## Description

Usage:

    grails set-version [number]

- `StatusFinal` - When the version has been set

When executing Grails retains metadata about the currently executing application inside the GrailsApplication object. The version of the application is one such item of metadata. The version is used by the Grails war command to produce a versioned WAR archive and can also be used by the application at runtime to validate application state.